module Main where

import qualified Test.Array as Array

import qualified LLVM.Core as LLVM

import Data.Tuple.HT (mapFst)

import qualified Test.QuickCheck as QC


main :: IO ()
main = do
   LLVM.initializeNativeTarget

   mapM_ (\(msg,prop) -> putStr (msg++": ") >> prop >>= QC.quickCheck) $
      map (mapFst ("Array."++)) Array.tests ++
      []
